Home Information Classes Download Usage Mail List Requirements Links FAQ Tutorial

# stk::PluckTwo Class Reference

STK enhanced plucked string model class. More...

`#include <PluckTwo.h>`

Inheritance diagram for stk::PluckTwo:

List of all members.

## Public Member Functions
| PluckTwo (StkFloat lowestFrequency)
| Class constructor, taking the lowest desired playing frequency.
virtual | ~PluckTwo (void)
| Class destructor.
void | clear (void)
| Reset and clear all internal state.
virtual void | setFrequency (StkFloat frequency)
| Set instrument parameters for a particular frequency.
void | setDetune (StkFloat detune)
| Detune the two strings by the given factor. A value of 1.0 produces unison strings.
void | setFreqAndDetune (StkFloat frequency, StkFloat detune)
| Efficient combined setting of frequency and detuning.
void | setPluckPosition (StkFloat position)
| Set the pluck or "excitation" position along the string (0.0 - 1.0).
void | setBaseLoopGain (StkFloat aGain)
| Set the base loop gain.
virtual void | noteOff (StkFloat amplitude)
| Stop a note with the given amplitude (speed of decay).

## Detailed Description

STK enhanced plucked string model class.

This class implements an enhanced two-string, plucked physical model, a la Jaffe-Smith, Smith, and others.

PluckTwo is an abstract class, with no excitation specified. Therefore, it can't be directly instantiated.

This is a digital waveguide model, making its use possibly subject to patents held by Stanford University, Yamaha, and others.

by Perry R. Cook and Gary P. Scavone, 1995 - 2010.

## Member Function Documentation

void stk::PluckTwo::setBaseLoopGain | ( | StkFloat | aGain | ) |

Set the base loop gain.

The actual loop gain is set according to the frequency. Because of high-frequency loop filter roll-off, higher frequency settings have greater loop gains.

The documentation for this class was generated from the following file:

- PluckTwo.h

The Synthesis ToolKit in C++ (STK)
©1995-2010 Perry R. Cook and Gary P. Scavone. All Rights Reserved.